Package com.sap.ai.sdk.core.model

# Enum Class BckndExtendedService.StatusEnum

java.lang.Object
java.lang.Enum<BckndExtendedService.StatusEnum>
com.sap.ai.sdk.core.model.BckndExtendedService.StatusEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<BckndExtendedService.StatusEnum>`, `Constable`

Enclosing class:
  `BckndExtendedService`

public static enum BckndExtendedService.StatusEnum extends Enum<BckndExtendedService.StatusEnum>
aggregated status of the service

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEPROVISIONING`
  The DEPROVISIONING option of this BckndExtendedService
  `ERROR`
  The ERROR option of this BckndExtendedService
  `PROVISIONED`
  The PROVISIONED option of this BckndExtendedService
  `PROVISIONING`
  The PROVISIONING option of this BckndExtendedService
  `UNKNOWN_DEFAULT_OPEN_API`
  The UNKNOWN_DEFAULT_OPEN_API option of this BckndExtendedService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BckndExtendedService.StatusEnum`
  `fromValue(String value)`
  Get the enum value from a String value
  `String`
  `getValue()`
  Get the value of the enum
  `String`
  `toString()`
  Get the String value of the enum value.
  `static BckndExtendedService.StatusEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BckndExtendedService.StatusEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PROVISIONED

    public static final BckndExtendedService.StatusEnum PROVISIONED
    The PROVISIONED option of this BckndExtendedService

  - ### ERROR

    public static final BckndExtendedService.StatusEnum ERROR
    The ERROR option of this BckndExtendedService

  - ### PROVISIONING

    public static final BckndExtendedService.StatusEnum PROVISIONING
    The PROVISIONING option of this BckndExtendedService

  - ### DEPROVISIONING

    public static final BckndExtendedService.StatusEnum DEPROVISIONING
    The DEPROVISIONING option of this BckndExtendedService

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final BckndExtendedService.StatusEnum UNKNOWN_DEFAULT_OPEN_API
    The UNKNOWN_DEFAULT_OPEN_API option of this BckndExtendedService

- ## Method Details

  - ### values

    public static BckndExtendedService.StatusEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BckndExtendedService.StatusEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    @Nonnull public String getValue()
    Get the value of the enum
    Returns:
      The enum value

  - ### toString

    @Nonnull public String toString()
    Get the String value of the enum value.
    Overrides:
      `toString` in class `Enum<BckndExtendedService.StatusEnum>`
    Returns:
      The enum value as String

  - ### fromValue

    @Nonnull public static BckndExtendedService.StatusEnum fromValue(@Nonnull String value)
    Get the enum value from a String value
    Parameters:
      `value` - The String value
    Returns:
      The enum value of type BckndExtendedService